Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatFilter

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatFilter

Enclosing class:
  TdApi

public static final class TdApi.ChatFilter extends TdApi.Object
Represents a filter of user chats.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`excludeArchived`
True, if archived chats need to be excluded.
`long[]`
`excludedChatIds`
The chat identifiers of always excluded chats in the filtered chat list.
`boolean`
`excludeMuted`
True, if muted chats need to be excluded.
`boolean`
`excludeRead`
True, if read chats need to be excluded.
`String`
`iconName`
The icon name for short filter representation.
`boolean`
`includeBots`
True, if bots need to be included.
`boolean`
`includeChannels`
True, if channels need to be included.
`boolean`
`includeContacts`
True, if contacts need to be included.
`long[]`
`includedChatIds`
The chat identifiers of always included chats in the filtered chat list.
`boolean`
`includeGroups`
True, if basic groups and supergroups need to be included.
`boolean`
`includeNonContacts`
True, if non-contact users need to be included.
`long[]`
`pinnedChatIds`
The chat identifiers of pinned chats in the filtered chat list.
`String`
`title`
The title of the filter; 1-12 characters without line feeds.

## Constructor Summary

Constructors
Constructor
Description
`ChatFilter()`
Represents a filter of user chats.
`ChatFilter(DataInput input)`
Represents a filter of user chats.
`ChatFilter(String title, String iconName, long[] pinnedChatIds, long[] includedChatIds, long[] excludedChatIds, boolean excludeMuted, boolean excludeRead, boolean excludeArchived, boolean includeContacts, boolean includeNonContacts, boolean includeBots, boolean includeGroups, boolean includeChannels)`
Represents a filter of user chats.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### title

public String title
The title of the filter; 1-12 characters without line feeds.

### iconName

public String iconName
The icon name for short filter representation. If non-empty, must be one of "All", "Unread", "Unmuted", "Bots", "Channels", "Groups", "Private", "Custom", "Setup", "Cat", "Crown", "Favorite", "Flower", "Game", "Home", "Love", "Mask", "Party", "Sport", "Study", "Trade", "Travel", "Work". If empty, use getChatFilterDefaultIconName to get default icon name for the filter.

### pinnedChatIds

public long[] pinnedChatIds
The chat identifiers of pinned chats in the filtered chat list.

### includedChatIds

public long[] includedChatIds
The chat identifiers of always included chats in the filtered chat list.

### excludedChatIds

public long[] excludedChatIds
The chat identifiers of always excluded chats in the filtered chat list.

### excludeMuted

public boolean excludeMuted
True, if muted chats need to be excluded.

### excludeRead

public boolean excludeRead
True, if read chats need to be excluded.

### excludeArchived

public boolean excludeArchived
True, if archived chats need to be excluded.

### includeContacts

public boolean includeContacts
True, if contacts need to be included.

### includeNonContacts

public boolean includeNonContacts
True, if non-contact users need to be included.

### includeBots

public boolean includeBots
True, if bots need to be included.

### includeGroups

public boolean includeGroups
True, if basic groups and supergroups need to be included.

### includeChannels

public boolean includeChannels
True, if channels need to be included.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatFilter

public ChatFilter()
Represents a filter of user chats.

### ChatFilter

public ChatFilter(String title, String iconName, long[] pinnedChatIds, long[] includedChatIds, long[] excludedChatIds, boolean excludeMuted, boolean excludeRead, boolean excludeArchived, boolean includeContacts, boolean includeNonContacts, boolean includeBots, boolean includeGroups, boolean includeChannels)
Represents a filter of user chats.

Parameters:
  `title` - String The title of the filter; 1-12 characters without line feeds.
  `iconName` - String The icon name for short filter representation. If non-empty, must be one of "All", "Unread", "Unmuted", "Bots", "Channels", "Groups", "Private", "Custom", "Setup", "Cat", "Crown", "Favorite", "Flower", "Game", "Home", "Love", "Mask", "Party", "Sport", "Study", "Trade", "Travel", "Work". If empty, use getChatFilterDefaultIconName to get default icon name for the filter.
  `pinnedChatIds` - long[] The chat identifiers of pinned chats in the filtered chat list.
  `includedChatIds` - long[] The chat identifiers of always included chats in the filtered chat list.
  `excludedChatIds` - long[] The chat identifiers of always excluded chats in the filtered chat list.
  `excludeMuted` - boolean True, if muted chats need to be excluded.
  `excludeRead` - boolean True, if read chats need to be excluded.
  `excludeArchived` - boolean True, if archived chats need to be excluded.
  `includeContacts` - boolean True, if contacts need to be included.
  `includeNonContacts` - boolean True, if non-contact users need to be included.
  `includeBots` - boolean True, if bots need to be included.
  `includeGroups` - boolean True, if basic groups and supergroups need to be included.
  `includeChannels` - boolean True, if channels need to be included.

### ChatFilter

public ChatFilter(DataInput input) throws IOException
Represents a filter of user chats.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`